using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json; // Make sure to include this if you're using JsonProperty
using System.ComponentModel.DataAnnotations.Schema; // Include for Table attribute

namespace Parser_Xls_Integral
{
    [Table("sklonove_pomery")]
    public class SklonovePomery
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("smsu")]
        public string SMSU { get; set; }

        [JsonProperty("tu")]
        public string TU { get; set; }

        [JsonProperty("du")]
        public string DU { get; set; }

        [JsonProperty("nazov_du")]
        public string NazovDU { get; set; }

        [JsonProperty("kategoria_trate")]
        public string KategoriaTrate { get; set; }

        [JsonProperty("rozchod")]
        public string Rozchod { get; set; }

        [JsonProperty("oznamenie_rozchodu")]
        public string OznacenieRozchodu { get; set; }

        [JsonProperty("triediaci_znak")]
        public string TriediaciZnak { get; set; }

        [JsonProperty("popis_triediaceho_znaku")]
        public string PopisTriediacehoZnaku { get; set; }

        [JsonProperty("typ_prevadzky")]
        public string TypPrevadzky { get; set; }

        [JsonProperty("cislo_kolaje")]
        public string CisloKolaje { get; set; }

        [JsonProperty("index_kolaje")]
        public string IndexKolaje { get; set; }

        [JsonProperty("km_od")]
        public string KmOd { get; set; }

        [JsonProperty("km_do")]
        public string KmDo { get; set; }

        [JsonProperty("dlzka_m")]
        public string DlzkaM { get; set; }

        [JsonProperty("km_od2")]
        public string KmOd2 { get; set; }

        [JsonProperty("km_do2")]
        public string KmDo2 { get; set; }

        [JsonProperty("dlzka2_m")]
        public string Dlzka2M { get; set; }

        [JsonProperty("abnormalita_m")]
        public string AbnormalitaM { get; set; }

        [JsonProperty("stav")]
        public string Stav { get; set; }

        [JsonProperty("sklon_promile")]
        public string SklonPromile { get; set; }

        [JsonProperty("polomer_zakruzenia_m")]
        public string PolomerZakruzeniaM { get; set; }

        [JsonProperty("dlzka_dotycnice_m")]
        public string DlzkaDotycniceM { get; set; }

        [JsonProperty("celkova_dlzka_m")]
        public string CelkovaDlzkaM { get; set; }

        [JsonProperty("datum_poslednej_zmeny")]
        public string DatumPoslednejZmeny { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }
}
